Enable number
curl --request POST \
--url https://api.sortx.co.uk/telephony/numbers/{id}/enabled \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"voice": true,
"sms": true
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({voice: true, sms: true})
};
fetch('https://api.sortx.co.uk/telephony/numbers/{id}/enabled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/telephony/numbers/{id}/enabled"
payload = {
"voice": True,
"sms": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"provider": "<string>",
"providerNumberId": "<string>",
"telephoneNumber": "<string>",
"numberType": "<string>",
"voiceCapable": true,
"smsCapable": true,
"voiceEnabled": true,
"smsEnabled": true,
"state": "<string>",
"heldUntil": "<string>",
"createdAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}telephony
Enable number
Enable or disable voice/SMS on a number
POST
/
telephony
/
numbers
/
{id}
/
enabled
Enable number
curl --request POST \
--url https://api.sortx.co.uk/telephony/numbers/{id}/enabled \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"voice": true,
"sms": true
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({voice: true, sms: true})
};
fetch('https://api.sortx.co.uk/telephony/numbers/{id}/enabled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/telephony/numbers/{id}/enabled"
payload = {
"voice": True,
"sms": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"provider": "<string>",
"providerNumberId": "<string>",
"telephoneNumber": "<string>",
"numberType": "<string>",
"voiceCapable": true,
"smsCapable": true,
"voiceEnabled": true,
"smsEnabled": true,
"state": "<string>",
"heldUntil": "<string>",
"createdAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Response
Success